/*  
 
    enRay, a realtime raytracer written in C
    Copyright (C) 2002  Antonis Stampoulis

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 */
 
#ifndef _meshload_h_
#define _meshload_h_

#include "gendefs.h"

typedef struct {

  int vnum;
  float *vertices, *normals;
  
} MeshObject;

MeshObject *LoadObject (char *file);
bool SaveObject (char *file, MeshObject *obj);
void DrawObject (MeshObject *obj);
void DestroyObject (MeshObject *obj);

void MeshReverseTriangles (MeshObject *obj);
void MeshScale (MeshObject *obj, float s);

#endif
